<?php
/**
 * Class that operate on table 'type'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2014-09-10 14:26
 */
class TypeClientMySqlExtDAO extends TypeClientMySqlDAO {

    public function deletetemp($clientid) {

        $sql = 'UPDATE typeclient SET conditions = 1
		        WHERE typeId =' . $clientid . ' ';
        $sqlQuery = new SqlQuery($sql);
        return $this->executeUpdate($sqlQuery);
    }


    public function returndelete($clientid) {

        $sql = 'UPDATE typeclient SET conditions = 0
		        WHERE typeId =' . $clientid . ' ';
        $sqlQuery = new SqlQuery($sql);
        return $this->executeUpdate($sqlQuery);
    }

    public function queryAllsup() {
        $sql = 'SELECT * FROM typeclient WHERE conditions=0 ORDER BY typeId DESC  ';
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}
?>